/*-
 * ~~~~~~licensing~~~~~~
 * profile-commons
 * ==========
 * Copyright (C) 2020 - 2024 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.profile.commons.connectors;

import ru.entaxy.esb.system.profile.commons.Profile;

import java.util.Map;

public abstract class CommonConnector implements Connector {
    protected String endpointName;
    protected Profile profile;
    protected String systemName;
    protected Map<String, String> params;

    public void setEndpointName(String endpointName) {
        this.endpointName = endpointName;
    }

    public void setProfile(Profile profile) {
        this.profile = profile;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    @Override
    public String getEndpointName() {
        return endpointName;
    }

    @Override
    public Profile getProfile() {
        return profile;
    }

    @Override
    public String getSystemName() {
        return systemName;
    }

    @Override
    public Map<String, String> getParams() {
        return params;
    }

    @Override
    public String getParam(String paramName) {
        return params.get(paramName);
    }

}
